Mast Location
Interrogates the network for the latitude, longitude, country name, country code, operator name, and time zone of a specific cell tower. If the tower is unavailable, returns the last recorded values for that tower.
Identify the location area using either lac or lai, and the cell using either cellid or ci.
Optional fields
Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.
The session cookie established when the user logs in. Sent as
Cookie: PHPSESSID=<CookieNumber>.
The Location API username and password are sent separately, in the request body of each call.
The Eseye-assigned Location API username.
ExampleUsernameThe Eseye-assigned Location API password.
ExamplePasswordA request identifier for tracking responses.
1The request was processed. Check status.status to determine whether the
lookup succeeded.
The returned request identifier, for tracking responses.
1POST /index/locatemast HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"request_id": "1",
"username": "ExampleUsername",
"password": "ExamplePassword",
"mast": {
"mcc": "234",
"mnc": "30",
"lai": "47A",
"ci": "c0f6",
"lac": "1234",
"cellid": "4567"
}
}The request was processed. Check status.status to determine whether the
lookup succeeded.
{
"status": {
"status": "OK",
"errorCode": "",
"errorMessage": ""
},
"request_id": "1",
"mast": {
"mcc": "234",
"mnc": "30",
"lai": "47A",
"ci": "c0f6cf",
"lat": 51.245,
"lon": -0.6067,
"countryname": "United Kingdom",
"countrycode": "GB",
"operatorname": "EE UK",
"timezone": "Europe/London"
}
}Last updated
Was this helpful?